# $Revision: 1.31 $, $Date: 2009/04/17 16:47:03 $
# TODO
# - YAML::Types depends on B::Deparse therefore the perl-devel dep)
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	YAML
Summary:	YAML - YAML Ain't Markup Language (tm)
Summary(pl.UTF-8):	YAML - YAML nie jest językiem znaczników
Name:		perl-YAML
Version:	0.68
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IN/INGY/%{pdir}-%{version}.tar.gz
# Source0-md5:	4b4255360bb885acdba05314daa9129a
URL:		http://www.yaml.org/spec/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Spiffy >= 0.29
BuildRequires:	perl-perldoc
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YAML.pm module implements a YAML Loader and Dumper based on the
YAML 1.0 specification.

YAML is a generic data serialization language that is optimized for
human readability. It can be used to express the data structures of
most modern programming languages. (Including Perl!!!)

%description -l pl.UTF-8
Moduł YAML.pm jest implementacją klas YAML Loader i Dumper bazujących
na specyfikacji YAML 1.0. YAML to język do serializacji ogólnych
danych, zoptymalizowany pod względem czytelności dla człowieka. Może
być używany do wyrażania struktur danych większości współczesnych
języków programowania (włącznie z Perlem).

%prep
%setup -q -n %{pdir}-%{version}

%build
yes | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/%{pdir}
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-YAML.spec,v $
Revision 1.31  2009/04/17 16:47:03  glen
- R: perl-devel

Revision 1.30  2008/12/13 15:33:18  agaran
- up to 0.68, ysh is missing in this release

Revision 1.29  2007/11/03 01:42:35  qboosh
- updated to 0.66

Revision 1.28  2007/09/17 09:13:15  adamg
- autoupdated to 0.65

Revision 1.27  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.25  2006/07/25 21:30:30  glen
- rel 1

Revision 1.24  2006/07/10 20:16:00  qboosh
- updated md5

Revision 1.23  2006/07/09 14:05:23  agaran
- up to 0.62, rel 0.1, reference serialisation changed, check README before
  using/upgrading on production

Revision 1.22  2006/02/17 14:15:02  glen
- 0.58

Revision 1.21  2006/02/02 21:39:17  migo
- up to 0.55

Revision 1.20  2005/07/19 14:02:44  radek
- version 0.39

Revision 1.19  2005/05/17 17:29:54  ankry
- reverted; BRs not for this package

Revision 1.18  2005/05/17 17:25:32  ankry
- missing BRs; probably some required indirectly

Revision 1.17  2005/04/07 22:12:28  adamg
- tests require perl-perldoc; release 2

Revision 1.16  2005/04/07 18:55:55  arekm
- up to 0.38

Revision 1.15  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.14  2004/11/03 22:30:57  paladine
- formatting

Revision 1.13  2004/08/08 20:52:05  adamg
- release 5

Revision 1.12  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.11  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.9  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.8  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.7  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.6  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 22:43:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
